QT5_Gui Class Reference

`#include <qt5_gui.hpp>`

Inheritance diagram for QT5_Gui:

## Public Member Functions

GWEN_GUI * | getCInterface ()
QWidget * | getParentWidget () const
void | popParentWidget ()
void | pushParentWidget (QWidget *w)
| QT5_Gui ()
void | setPasswordDb (GWEN_DB_NODE *dbPasswords, int persistent)
void | setPasswordStore (GWEN_PASSWD_STORE *sto)
virtual | ~QT5_Gui ()

## Static Public Member Functions

static QString | extractHtml (const char *text)
static CPPGUI_API CppGui * | getCppGui ()

## Protected Member Functions

User Interaction
virtual int | execDialog (GWEN_DIALOG *dlg, uint32_t guiid)
virtual int | openDialog (GWEN_DIALOG *dlg, uint32_t guiid)
virtual int | closeDialog (GWEN_DIALOG *dlg)
virtual int | runDialog (GWEN_DIALOG *dlg, int untilEnd)
virtual int | getFileName (const char *caption, GWEN_GUI_FILENAME_TYPE fnt, uint32_t flags, const char *patterns, GWEN_BUFFER *pathBuffer, uint32_t guiid)
User Interaction
virtual int | print (const char *docTitle, const char *docType, const char *descr, const char *text, uint32_t guiid)
virtual int | getPassword (uint32_t flags, const char *token, const char *title, const char *text, char *buffer, int minLen, int maxLen, GWEN_GUI_PASSWORD_METHOD methodId, GWEN_DB_NODE *methodParams, uint32_t guiid)
virtual int | setPasswordStatus (const char *token, const char *pin, GWEN_GUI_PASSWORD_STATUS status, uint32_t guiid)
virtual int | checkCert (const GWEN_SSLCERTDESCR *cert, GWEN_SYNCIO *sio, uint32_t guiid)
virtual int | logHook (const char *logDomain, GWEN_LOGGER_LEVEL priority, const char *s)
int | checkCertBuiltIn (const GWEN_SSLCERTDESCR *cert, GWEN_SYNCIO *sio, uint32_t guiid)

## Protected Attributes

GWEN_GUI * | _gui

## Detailed Description

This is an implementation of GWEN_GUI for QT5.

It implements the GWEN_DIALOG framework.

Todo
  : GWEN_Gui_Print() needs to be implemented

Definition at line 43 of file qt5_gui.hpp.

## Constructor & Destructor Documentation

## QT5_Gui()

QT5_Gui | ( |  | ) |

## ~QT5_Gui()

virtual ~QT5_Gui | ( |  | ) |

virtual

## Member Function Documentation

## checkCert()

virtual int checkCert | ( | const GWEN_SSLCERTDESCR * | cert,
|  | GWEN_SYNCIO * | sio,
|  | uint32_t | guiid )

protected virtual inherited

## checkCertBuiltIn()

int checkCertBuiltIn | ( | const GWEN_SSLCERTDESCR * | cert,
|  | GWEN_SYNCIO * | sio,
|  | uint32_t | guiid )

protected inherited

## closeDialog()

virtual int closeDialog | ( | GWEN_DIALOG * | dlg | ) |

protected virtual

Reimplemented from CppGui.

## execDialog()

virtual int execDialog | ( | GWEN_DIALOG * | dlg,
|  | uint32_t | guiid )

protected virtual

Reimplemented from CppGui.

## extractHtml()

QString extractHtml | ( | const char * | text | ) |

static

## getCInterface()

GWEN_GUI * getCInterface | ( |  | ) |

inherited

## getCppGui()

CPPGUI_API CppGui * getCppGui | ( |  | ) |

static inherited

References CppGui().

## getFileName()

virtual int getFileName | ( | const char * | caption,
|  | GWEN_GUI_FILENAME_TYPE | fnt,
|  | uint32_t | flags,
|  | const char * | patterns,
|  | GWEN_BUFFER * | pathBuffer,
|  | uint32_t | guiid )

protected virtual

Reimplemented from CppGui.

## getParentWidget()

QWidget * getParentWidget | ( |  | ) | const

inline

Definition at line 53 of file qt5_gui.hpp.

## getPassword()

virtual int getPassword | ( | uint32_t | flags,
|  | const char * | token,
|  | const char * | title,
|  | const char * | text,
|  | char * | buffer,
|  | int | minLen,
|  | int | maxLen,
|  | GWEN_GUI_PASSWORD_METHOD | methodId,
|  | GWEN_DB_NODE * | methodParams,
|  | uint32_t | guiid )

protected virtual inherited

## logHook()

virtual int logHook | ( | const char * | logDomain,
|  | GWEN_LOGGER_LEVEL | priority,
|  | const char * | s )

protected virtual inherited

## openDialog()

virtual int openDialog | ( | GWEN_DIALOG * | dlg,
|  | uint32_t | guiid )

protected virtual

Reimplemented from CppGui.

## popParentWidget()

void popParentWidget | ( |  | ) |

## print()

virtual int print | ( | const char * | docTitle,
|  | const char * | docType,
|  | const char * | descr,
|  | const char * | text,
|  | uint32_t | guiid )

protected virtual inherited

See CppGui_Print

Reimplemented in FOX16_Gui.

## pushParentWidget()

void pushParentWidget | ( | QWidget * | w | ) |

## runDialog()

virtual int runDialog | ( | GWEN_DIALOG * | dlg,
|  | int | untilEnd )

protected virtual

Reimplemented from CppGui.

## setPasswordDb()

void setPasswordDb | ( | GWEN_DB_NODE * | dbPasswords,
|  | int | persistent )

inherited

## setPasswordStatus()

virtual int setPasswordStatus | ( | const char * | token,
|  | const char * | pin,
|  | GWEN_GUI_PASSWORD_STATUS | status,
|  | uint32_t | guiid )

protected virtual inherited

## setPasswordStore()

void setPasswordStore | ( | GWEN_PASSWD_STORE * | sto | ) |

inherited

## Field Documentation

## _gui

GWEN_GUI* _gui

protected inherited

Definition at line 67 of file cppgui.hpp.

The documentation for this class was generated from the following file:

- qt5_gui.hpp